RedirectDynamicMethod (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
[Java] Class RedirectDynamicMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.web.metaclass.RedirectDynamicMethod

    public class RedirectDynamicMethod
    extends AbstractDynamicMethodInvocation

Implements the "redirect" Controller method for action redirection.

Authors:
  Graeme Rocher

Since:
  0.2 Created Oct 27, 2005

Field Summary
`static java.lang.String` | `ARGUMENT_ERRORS`
`static java.lang.String` | `ARGUMENT_PERMANENT`
`static java.lang.String` | `GRAILS_REDIRECT_ISSUED`
`static java.lang.String` | `GRAILS_VIEWS_ENABLE_JSESSIONID`
`static java.util.regex.Pattern` | `METHOD_PATTERN`
`static java.lang.String` | `METHOD_SIGNATURE`

Constructor Summary
`RedirectDynamicMethod(java.util.Collection redirectListeners)`
`RedirectDynamicMethod(org.springframework.context.ApplicationContext applicationContext)` @param applicationContext The ApplicationContext
`RedirectDynamicMethod()`

Method Summary
`java.lang.Object` | `invoke(java.lang.Object target, java.lang.String methodName, java.lang.Object[] arguments)`
`void` | `setLinkGenerator(LinkGenerator linkGenerator)`
`void` | `setRedirectListeners(java.util.Collection redirectListeners)`
`void` | `setUseJessionId(boolean useJessionId)`

Methods inherited from class AbstractDynamicMethodInvocation
getPattern, invoke, isMethodMatch, setPattern

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ARGUMENT_ERRORS

    public static final java.lang.String ARGUMENT_ERRORS

### ARGUMENT_PERMANENT

    public static final java.lang.String ARGUMENT_PERMANENT

### GRAILS_REDIRECT_ISSUED

    public static final java.lang.String GRAILS_REDIRECT_ISSUED

### GRAILS_VIEWS_ENABLE_JSESSIONID

    public static final java.lang.String GRAILS_VIEWS_ENABLE_JSESSIONID

### METHOD_PATTERN

    public static final java.util.regex.Pattern METHOD_PATTERN

### METHOD_SIGNATURE

    public static final java.lang.String METHOD_SIGNATURE

Constructor Detail

### RedirectDynamicMethod

    public RedirectDynamicMethod(java.util.Collection redirectListeners)

### RedirectDynamicMethod

    @java.lang.Deprecated
    public RedirectDynamicMethod(org.springframework.context.ApplicationContext applicationContext)

  deprecated:
    Here fore compatibility, will be removed in a future version of Grails
  Parameters:
    `applicationContext` - The ApplicationContext

### RedirectDynamicMethod

    public RedirectDynamicMethod()

Method Detail

### invoke

    @java.lang.SuppressWarnings({"unchecked","rawtypes"})
    @java.lang.Override
    public java.lang.Object invoke(java.lang.Object target, java.lang.String methodName, java.lang.Object[] arguments)

### setLinkGenerator

    public void setLinkGenerator(LinkGenerator linkGenerator)

### setRedirectListeners

    public void setRedirectListeners(java.util.Collection redirectListeners)

### setUseJessionId

    public void setUseJessionId(boolean useJessionId)

Groovy Documentation